#!MC 1410
#       INSTRUCTIONS:
#                  1.   Load Surface Zones from CFD solution into Tecplot360 EX (the surface info should include CP and
#                       any other surface information desired)
#                  2.   Assign LABEL variable in this file as the "XXX" identifier of the dataset
#                  3.   Assign INFO variable with appropriate information for the particular case
#                  4.   Run macro.  It should create/extract 2 zones for each row of the main wing (one near the
#                       leading edge and one running behind that)
#                  5.   You can write out these zones to data files as appropriate, including any data desired
#
#                XXX:   Participant ID (To be assigned by HiLiftPW workshop committee)
#
#++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
$!VARSET |LABEL| = "R-018"
$!VARSET |INFO|  = "|PREFIX|"
$!VARSET |ZONE| = |NUMZONES|
# --- Row T.A ---
$!SliceAttributes 1  EdgeLayer{Show = Yes}
$!SliceAttributes 1  SliceSource = SurfaceZones
$!SliceLayers Show = Yes
$!SliceAttributes 1  SliceSurface = YPlanes
$!SliceAttributes 1  PrimaryPosition{Y = 84.426}
$!ExtractSlices
  Group = 1
  TransientOperationMode = AllSolutionTimes
$!VARSET |ZONE| += 1
$!RenameDataSetZone
  Zone = |ZONE|
  Name = '|LABEL| Row HT.A horiztail |INFO|'
# --- Row T.B ---
$!SliceAttributes 1  EdgeLayer{Show = Yes}
$!SliceAttributes 1  SliceSource = SurfaceZones
$!SliceLayers Show = Yes
$!SliceAttributes 1  SliceSurface = YPlanes
$!SliceAttributes 1  PrimaryPosition{Y = 211.061}
$!ExtractSlices
  Group = 1
  TransientOperationMode = AllSolutionTimes
$!VARSET |ZONE| += 1
$!RenameDataSetZone
  Zone = |ZONE|
  Name = '|LABEL| Row HT.B horiztail |INFO|'
# --- Row T.C ---
$!SliceAttributes 1  EdgeLayer{Show = Yes}
$!SliceAttributes 1  SliceSource = SurfaceZones
$!SliceLayers Show = Yes
$!SliceAttributes 1  SliceSurface = YPlanes
$!SliceAttributes 1  PrimaryPosition{Y = 337.703}
$!ExtractSlices
  Group = 1
  TransientOperationMode = AllSolutionTimes
$!VARSET |ZONE| += 1
$!RenameDataSetZone
  Zone = |ZONE|
  Name = '|LABEL| Row HT.C horiztail |INFO|'
